Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am trying to setup a vm using xen under ubuntu 12.04LTS. I have installed the default libvirt version but I have some errors when trying to run:

$ virsh -c <uri> list

the errors are:

error: no connection driver available for No connection for URI xen:///
error: failed to connect to the hypervisor

I have found this information, but it does not really help me as my libvirt isn't compiled from sources.

Does anyone know how to fix this issue?

share|improve this question
add comment

1 Answer 1

In my case the libvirt daemon was not started.

sudo start libvirt-bin

did the trick. Also check your /etc/default/libvirt-bin if start_libvirtd is set to "yes"

if it is you'll get additional info in the log /var/log/libvirt/libvirtd.log

finally if not root you user needs to be in the libvirt group and possibly in the kvm group. Once added you'll at least need to logoff/logon to take this new membership into account.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.